%global pypi_name qstylizer

Name:           python-%{pypi_name}
Version:        0.2.1
Release:        %mkrel 3
Summary:        Stylesheet Generator for PyQt{4-5}/PySide{1-2}
License:        MIT
Group:          Development/Python
URL:            https://github.com/blambright/qstylizer
# no sdist on PyPI
Source0:        https://github.com/blambright/qstylizer/archive/%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  python3dist(setuptools)
BuildRequires:  python3dist(pbr)
# SECTION test requirements
BuildRequires:  python3dist(inflection) > 0.3.0
BuildRequires:  python3dist(tinycss2)
BuildRequires:  python3dist(pytest-runner) >= 2.7
BuildRequires:  python3dist(pytest) >= 4
BuildRequires:  python3dist(pytest-mock) >= 1.6
BuildRequires:  python3dist(pytest-catchlog) >= 1
BuildRequires:  python3dist(pytest-xdist) >= 1.1

%description
A python package designed to help with the construction of
PyQt/PySide stylesheets.

%package -n     python3-%{pypi_name}
Summary:        Stylesheet Generator for PyQt{4-5}/PySide{1-2}
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A python3 package designed to help with the construction of
PyQt/PySide stylesheets.

%prep
%autosetup -n %{pypi_name}-%{version}

# Remove bundled egg-info
#rm -rf *.egg-info

%build
export PBR_VERSION=%{version}
%py3_build

%install
export PBR_VERSION=%{version}
%py3_install

%check
%pytest -vv

%files -n python3-%{pypi_name}
%doc README.rst
%license LICENSE.txt
%{python3_sitelib}/%{pypi_name}/
%{python3_sitelib}/%{pypi_name}-%{version}*-info


%changelog
* Fri Apr 01 2022 umeabot <umeabot> 0.2.1-3.mga9
+ Revision: 1838226
- Mageia 9 Mass Rebuild

* Fri Feb 18 2022 mrambo3501 <mrambo3501> 0.2.1-2.mga9
+ Revision: 1781156
- rebuild for python-3.10

* Thu Sep 02 2021 wally <wally> 0.2.1-1.mga9
+ Revision: 1744078
- new version 0.2.1

* Sun Apr 18 2021 daviddavid <daviddavid> 0.1.10-1.mga9
+ Revision: 1716735
- initial package python-qstylizer (needed for spyder >= 5.0)

